BitMagic-C++: bm::sparse_vector< Val, BV >::reference Class Reference

BitMagic-C++

Public Member Functions
bm::sparse_vector< Val, BV >::reference Class Reference
BitMagic Library » sparse_vector<>

Reference class to access elements via common [] operator. More...

`#include <bmsparsevec.h>`

## Public Member Functions
| reference (sparse_vector< Val, BV > &sv, size_type idx) BMNOEXCEPT
| operator value_type () const BMNOEXCEPT
reference & | operator= (const reference &ref)
reference & | operator= (value_type val)
bool | operator== (const reference &ref) const BMNOEXCEPT
bool | is_null () const BMNOEXCEPT

## Detailed Description

### template<class Val, class BV>
class bm::sparse_vector< Val, BV >::reference

Reference class to access elements via common [] operator.

Definition at line 113 of file bmsparsevec.h.

## Constructor & Destructor Documentation

## ◆ reference()

template<class Val , class BV >

bm::sparse_vector< Val, BV >::reference::reference | ( | sparse_vector< Val, BV > & | sv,
|  | size_type | idx
| ) |  |
| inline

Definition at line 116 of file bmsparsevec.h.

## Member Function Documentation

## ◆ is_null()

template<class Val , class BV >

bool bm::sparse_vector< Val, BV >::reference::is_null | ( |  | ) | const
| inline

Definition at line 132 of file bmsparsevec.h.

## ◆ operator value_type()

template<class Val , class BV >

bm::sparse_vector< Val, BV >::reference::operator value_type | ( |  | ) | const
| inline

Definition at line 119 of file bmsparsevec.h.

## ◆ operator=() [1/2]

template<class Val , class BV >

reference& bm::sparse_vector< Val, BV >::reference::operator= | ( | const reference & | ref | ) |
| inline

Definition at line 120 of file bmsparsevec.h.

## ◆ operator=() [2/2]

template<class Val , class BV >

reference& bm::sparse_vector< Val, BV >::reference::operator= | ( | value_type | val | ) |
| inline

Definition at line 125 of file bmsparsevec.h.

## ◆ operator==()

template<class Val , class BV >

bool bm::sparse_vector< Val, BV >::reference::operator== | ( | const reference & | ref | ) | const
| inline

Definition at line 130 of file bmsparsevec.h.

The documentation for this class was generated from the following file:

- bmsparsevec.h